Bug 1693677 - dnf system-upgrade seems to ignore --nogpgcheck again
Summary: dnf system-upgrade seems to ignore --nogpgcheck again
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 13:14 UTC by Vasiliy Glazov
Modified: 2019-08-31 01:38 UTC (History)
8 users (show)

Fixed In Version: dnf-plugins-extras-4.0.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 01:38:55 UTC


Attachments (Terms of Use)
Dnf system-upgrade log (654.71 KB, text/plain)
2019-03-28 13:14 UTC, Vasiliy Glazov
no flags Details

Description Vasiliy Glazov 2019-03-28 13:14:40 UTC
Created attachment 1549025 [details]
Dnf system-upgrade log

Problem again persist in dnf-plugins-extras-4.0.4-1.fc29.

I can't upgrade to F30 with non signed rpmfusion packages.


Please could you open a new bug report and provide additional information like /var/log/dnf.log with failed transaction, command that you used, and output from "sudo dnf system-upgrade log --number 1" if problem appears during reboot.


Description of problem:
I am try upgrade From F29 to F30 with dnf system-upgrade. Currently rpmfusion packages are not signed. So I use --nogpgcheck parameter during download and reboot stage. But after reboot gpgcheck is doing and failed. This fail upgrading.


Version-Release number of selected component (if applicable):
dnf-plugins-extras-4.0.4-1.fc29

How reproducible:
Always.


Steps to Reproduce:
1. Install rpmfusion repo.
2. dnf system-upgrade download --releasever=30 --enablerepo=*ing --nogpgcheck
3. dnf system-upgrade reboot --nogpgcheck

Actual results:
Upgrade failed.

Expected results:
Normal upgrade.

Additional info:
"sudo dnf system-upgrade log --number 1" in su.log attached. I am use RU locale so log contain russian messages. All packages installed from rpmfusion are "not signed" = "не подписан", and result "ERROR GPG check" = "Ошибка: СБОЙ проверки GPG".
Command was
dnf system-upgrade reboot --nogpgcheck

Comment 2 Fedora Update System 2019-08-14 07:24:05 UTC
FEDORA-2019-d4b6ede072 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4b6ede072

Comment 3 Fedora Update System 2019-08-16 20:12:25 UTC
dnf-4.2.5-4.fc29, dnf-plugins-extras-4.0.4-2.fc29, libdnf-0.31.0-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4b6ede072

Comment 4 Fedora Update System 2019-08-31 01:38:55 UTC
dnf-4.2.5-4.fc29, dnf-plugins-extras-4.0.4-2.fc29, libdnf-0.31.0-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.